Bug 146314 - tar-1.14-4 causes amanda recover to fail
tar-1.14-4 causes amanda recover to fail
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: tar (Show other bugs)
3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Vrabec
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-01-26 16:58 EST by Matthew Saltzman
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-02-10 11:18:38 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matthew Saltzman 2005-01-26 16:58:25 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5)
Gecko/20041111 Firefox/1.0

Description of problem:
Attempting to use tar-1.14-4 to recover a file from amanda backup is
reported to produce 

> tar: ./dir/somefile: invalid sparse archive member
> tar: Skipping to next header
> tar: Archive contains obsolescent base-64 headers

tar-1.15.1 is reported to fix this problem.

Version-Release number of selected component (if applicable):
tar-1.14-4

How reproducible:
Always

Steps to Reproduce:
1. Back up a file using amanda with tar
2. Recover the file.
3.
    

Actual Results:  See above.

Expected Results:  Successful recovery.

Additional info:

See the Amanda users' list thread starting at
http://groups.yahoo.com/group/amanda-users/message/53108.
Comment 1 Peter Vrabec 2005-01-27 06:45:44 EST
Tar-1.14-4 have problems with sparse files. 
Try tar-1.15.1-2 from devel.
Comment 2 Matthew Saltzman 2005-01-27 11:15:54 EST
I'd be glad to, but the current devel version is still 1.14-4.
Comment 3 Peter Vrabec 2005-01-31 06:11:57 EST
tar-1.15.1-3 should have been there soon(1-2 days).
Comment 4 Matthew Saltzman 2005-02-10 10:57:32 EST
Yes, it's there now (as of 1/31), and I can confirm it works.
Comment 5 Orion Poplawski 2005-07-08 11:55:42 EDT
Can we get an errata push to FC3?

Note You need to log in before you can comment on or make changes to this bug.